<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;

class PersonaBasicaRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
//            'primer_nombre' => 'required',
            'apellidos_nombres' => 'required',
            'fecha_nacimiento' => 'required',
        ];
    }

    public function messages()
    {
        return [
//            'primer_nombre.required' => 'Campo requerido',
            'apellidos_nombres.required' => 'Requerido',
            'fecha_nacimiento.required' => 'Requerido',
        ];
    }
}
